> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a tax code for a company



## OpenAPI

````yaml get /tax-codes/{taxCodeId}
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /tax-codes/{taxCodeId}:
    get:
      tags:
        - Tax Codes
      summary: Get a tax code for a company
      operationId: getTaxCode
      parameters:
        - name: taxCodeId
          in: path
          required: true
          schema:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
          description: Unique UUID of the tax code.
      responses:
        '200':
          description: A tax code has been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxCodeResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 196d6ca8-f8ae-41a9-be0f-35b819907206
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 68ac1580-8c8f-434e-91b5-872de502f542
      deprecated: true
components:
  schemas:
    TaxCodeResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique UUID identifier of the tax code.
        name:
          type: string
          description: The name of the tax.
        code:
          type: string
          description: The short code of the tax.
        rate:
          type: number
          description: This is the rate of the tax code.
        type:
          type: string
          default: normal
          description: This is the type of the tax code. Can be "normal" or "reverse".
          enum:
            - NORMAL
            - REVERSE
        ingoingTaxAccount:
          type: string
          description: This is the ingoing account related to the tax codes.
        outgoingTaxAccount:
          type: string
          description: This is the outgoing account related to the tax codes.
        enabled:
          type: boolean
          description: This value is true if the tax code is not hidden.
        createdAt:
          type: string
          description: >-
            Date and time this record was created in the pleo system in the
            format YYYY-MM-DDTHH:mi:ss.SSSZ
          format: date-time
        updatedAt:
          type: string
          description: >-
            Date and time this record was last updated in the pleo system in the
            format YYYY-MM-DDTHH:mi:ss.SSSZ
          format: date-time
        deletedAt:
          type: string
          description: >-
            Date and time this record was deleted in the pleo system in the
            format YYYY-MM-DDTHH:mi:ss.SSSZ
          format: date-time
      required:
        - id
        - name
        - rate
        - enabled
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````